# Get the locker settings

> Which network the locker runs on, whether it is ready or paused, the fee, the expiry presets and limits, and the vault owner address left out of holder payouts.


`GET https://payday.direct/api/otc/config`

Which network the locker runs on, whether it is ready or paused, the fee, the expiry presets and limits, and the vault owner address left out of holder payouts.

## Responses

- 200: OK

```json
{
  "ok": true,
  "cluster": "devnet",
  "programId": "B52Z8uL6vVYahAoYqVAsUvTmXPRcg4zoRKk8oc5ofpJy",
  "ready": true,
  "paused": false,
  "feeBps": 500,
  "usdcMint": null,
  "vaultAuthority": "6Wcd4it5TvMVUQHjdpp42NS4AMX5Vp45qzQ87v9fRnZY",
  "presets": [
    {
      "key": "7d",
      "secs": 604800,
      "label": "7 days",
      "def": true
    }
  ],
  "minExpirySecs": 600,
  "maxExpirySecs": 7776000,
  "maxOffsetBps": 500,
  "slippageBps": 100,
  "farBps": 1500,
  "origin": "https://payday.direct"
}
```

## Example

```bash
curl "https://payday.direct/api/otc/config"
```